antiprism-0.23
Up Next

# UNSUPPORTED: dome_layer - dome strut arrangements

Usage | Examples | Notes

## Usage

    Usage: dome_layer [options] [input_file]

    Read a dome polyhedron in OFF format, project onto unit sphere and add
    additional layering. If input_file is not given the program reads from
    standard input.

    Options
      -h,--help this help message (run 'off_util -H help' for general help)
      --version version information
      -r <rad>  radius of sphere for second layer vertices (default: 0.85)
      -t <type> layer type (default: dual)
                   dual:      base vertices to dual vertices
                   eden:      base vertices to edge centre vertices
                   asm:       base vertices to inner base, vertices to cell centres
                   honeycomb: base vertices to dual of 'kis' form
      -i        write colours as index numbers (struts 0-4, faces 10)
      -o <file> write output to file (default: write to standard output)

## Examples

Eden "in"

    dome_layer -r 0.9 -t eden geo_2_1_d | antiview -x f -v 0.02

Eden "out"

    dome_layer -r 1.1 -t eden geo_2_1_d | antiview -x f -v 0.02

Dual "in"

    dome_layer -r 0.9 -t dual geo_2_1_d | antiview -x f -v 0.02

Dual "out"

    dome_layer -r 1.1 -t dual geo_2_1_d | antiview -x f -v 0.02

Asm

    dome_layer -r 0.9 -t asm geo_2_1_d | antiview -x f -v 0.02

"Honeycomb" "in"

    dome_layer -r 0.9 -t honeycomb geo_2_1_d | antiview -x f -v 0.02

"Honeycomb" "out"

    dome_layer -r 1.1 -t honeycomb geo_2_1_d | antiview -x f -v 0.02

## Notes

The source of the patterns was Tim Tyler's Springie Gallery

Up: Programs and Documentation
Next: UNSUPPORTED: twist - twist the edges of a polyhedron